/**
  ******************************************************************************
  * ļ: main.c 
  *     : ӲʯǶʽŶ
  *     : V1.0
  * д: 2015-10-04
  *     : ʹôͨʵַݵԼյԶ˷͵
  ******************************************************************************
  * ˵
  * Ӳʯstm32YS-F1Proʹá
  * 
  * Ա
  * ̳http://www.ing10bbs.com
  * ȨӲʯǶʽŶУá
  ******************************************************************************
  */
/* ͷļ ----------------------------------------------------------------*/
#include "stm32f1xx_hal.h"
#include "usart/bsp_usartx_fifo.h"
#include "led/bsp_led.h"
#include "beep/bsp_beep.h"

/* ˽Ͷ --------------------------------------------------------------*/
/* ˽к궨 ----------------------------------------------------------------*/
/* ˽б ------------------------------------------------------------------*/
uint8_t ucaRxBuf[512];

/* չ ------------------------------------------------------------------*/
/* ˽кԭ --------------------------------------------------------------*/
/*  --------------------------------------------------------------------*/
/**
  * : ϵͳʱ
  * : 
  *   ֵ: 
  * ˵    : 
  */
void SystemClock_Config(void)
{
  RCC_OscInitTypeDef RCC_OscInitStruct;
  RCC_ClkInitTypeDef RCC_ClkInitStruct;

  RCC_OscInitStruct.OscillatorType = RCC_OSCILLATORTYPE_HSE;  // ⲿ8MHz
  RCC_OscInitStruct.HSEState = RCC_HSE_ON;
  RCC_OscInitStruct.HSEPredivValue = RCC_HSE_PREDIV_DIV1;
  RCC_OscInitStruct.PLL.PLLState = RCC_PLL_ON;
  RCC_OscInitStruct.PLL.PLLSource = RCC_PLLSOURCE_HSE;
  RCC_OscInitStruct.PLL.PLLMUL = RCC_PLL_MUL9;  // 9Ƶõ72MHzʱ
  HAL_RCC_OscConfig(&RCC_OscInitStruct);

  RCC_ClkInitStruct.ClockType = RCC_CLOCKTYPE_HCLK|RCC_CLOCKTYPE_SYSCLK
                              |RCC_CLOCKTYPE_PCLK1|RCC_CLOCKTYPE_PCLK2;
  RCC_ClkInitStruct.SYSCLKSource = RCC_SYSCLKSOURCE_PLLCLK;       // ϵͳʱӣ72MHz
  RCC_ClkInitStruct.AHBCLKDivider = RCC_SYSCLK_DIV1;              // AHBʱӣ72MHz
  RCC_ClkInitStruct.APB1CLKDivider = RCC_HCLK_DIV2;               // APB1ʱӣ36MHz
  RCC_ClkInitStruct.APB2CLKDivider = RCC_HCLK_DIV1;               // APB2ʱӣ72MHz
  HAL_RCC_ClockConfig(&RCC_ClkInitStruct, FLASH_LATENCY_2);

 	// HAL_RCC_GetHCLKFreq()/1000    1msжһ
	// HAL_RCC_GetHCLKFreq()/100000	 10usжһ
	// HAL_RCC_GetHCLKFreq()/1000000 1usжһ
  HAL_SYSTICK_Config(HAL_RCC_GetHCLKFreq()/1000);  // òϵͳδʱ
  /* ϵͳδʱʱԴ */
  HAL_SYSTICK_CLKSourceConfig(SYSTICK_CLKSOURCE_HCLK);
  /* ϵͳδʱжȼ */
  HAL_NVIC_SetPriority(SysTick_IRQn, 0, 0);
}

/**
  * : .
  * : 
  *   ֵ: 
  * ˵    : 
  */
int main(void)
{
  uint8_t read,j=0;
  uint16_t i;
  
  /* λ裬ʼFlashӿںϵͳδʱ */
  HAL_Init();
  
  /* ϵͳʱ */
  SystemClock_Config();

  /* ʼڲôжȼ */
  Usart_FIFO_Init();
  
  /* LEDʼ */
  LED_GPIO_Init();
  
  /* طʼ */
  BEEP_GPIO_Init();
  
  printf("FIFOܵĴڵԲ\n");
  for(i=0;i<512;++i)
  {
    ucaRxBuf[i]=j+'0';
    j++;
    if(j==('z'-'0'))
      j=0;
  }  
  comSendBuf(COM1,ucaRxBuf,512);
 
  /* ѭ */
  while (1)
  {
		if(comGetChar(COM1,&read))
    {
      switch(read)
      {
        case '1':
          LED1_TOGGLE;
          break;
        case '2':
          LED2_TOGGLE;
          break;
        case '3':
          LED3_TOGGLE;
          break;
        case '4':
          BEEP_TOGGLE;
          break;
      }      
    }
	}
  
}

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
