/**
  ******************************************************************************
  * ļ: bsp_debug_usart.c 
  *     : ӲʯǶʽŶ
  *     : V1.0
  * д: 2015-10-04
  *     : صԴڵײĬʹUSART1
  ******************************************************************************
  * ˵
  * Ӳʯstm32YS-F1Proʹá
  * 
  * Ա
  * ̳http://www.ing10bbs.com
  * ȨӲʯǶʽŶУá
  ******************************************************************************
  */

/* ͷļ ----------------------------------------------------------------*/
#include "usart/bsp_usartx_fifo.h"

/* ˽Ͷ --------------------------------------------------------------*/
/* ˽к궨 ----------------------------------------------------------------*/
/* ˽б ------------------------------------------------------------------*/
UART_HandleTypeDef husart_debug;
uint8_t ch;

/* ÿڽṹ */
#if USART1_FIFO_EN == 1
	static USART_FIFO_Typedef g_tUsart1;
	static uint8_t g_TxBuf1[USART1_TX_BUF_SIZE];		/* ͻ */
	static uint8_t g_RxBuf1[USART1_RX_BUF_SIZE];		/* ջ */
#endif

#if USART2_FIFO_EN == 1
	static USART_FIFO_Typedef g_tUsart2;
	static uint8_t g_TxBuf2[USART2_TX_BUF_SIZE];		/* ͻ */
	static uint8_t g_RxBuf2[USART2_RX_BUF_SIZE];		/* ջ */
#endif

#if USART3_FIFO_EN == 1
	static USART_FIFO_Typedef g_tUsart3;
	static uint8_t g_TxBuf3[USART3_TX_BUF_SIZE];		/* ͻ */
	static uint8_t g_RxBuf3[USART3_RX_BUF_SIZE];		/* ջ */
#endif

/* չ ------------------------------------------------------------------*/
/* ˽кԭ --------------------------------------------------------------*/
/*  --------------------------------------------------------------------*/
static void UsartVarInit(void)
{
#if USART1_FIFO_EN == 1
	g_tUsart1.usart = USART1;						        /* STM32 豸 */
	g_tUsart1.pTxBuf = g_TxBuf1;					        /* ͻָ */
	g_tUsart1.pRxBuf = g_RxBuf1;					        /* ջָ */
	g_tUsart1.usTxBufSize = USART1_TX_BUF_SIZE;	/* ͻС */
	g_tUsart1.usRxBufSize = USART1_RX_BUF_SIZE;	/* ջС */
	g_tUsart1.usTxWrite = 0;			          			/* FIFOд */
	g_tUsart1.usTxRead = 0;						          /* FIFO */
	g_tUsart1.usRxWrite = 0;						          /* FIFOд */
	g_tUsart1.usRxRead = 0;						          /* FIFO */
	g_tUsart1.usRxCount = 0;						          /* յݸ */
	g_tUsart1.usTxCount = 0;						          /* ͵ݸ */
	g_tUsart1.SendBefor = 0;						          /* ǰĻص */
	g_tUsart1.SendOver = 0;						          /* ϺĻص */
	g_tUsart1.ReciveNew = 0;						          /* յݺĻص */
#endif

#if USART2_FIFO_EN == 1
	g_tUsart2.usart = USART2;						        /* STM32 豸 */
	g_tUsart2.pTxBuf = g_TxBuf2;					        /* ͻָ */
	g_tUsart2.pRxBuf = g_RxBuf2;					        /* ջָ */
	g_tUsart2.usTxBufSize = USART2_TX_BUF_SIZE;	/* ͻС */
	g_tUsart2.usRxBufSize = USART2_RX_BUF_SIZE;	/* ջС */
	g_tUsart2.usTxWrite = 0;			          			/* FIFOд */
	g_tUsart2.usTxRead = 0;						          /* FIFO */
	g_tUsart2.usRxWrite = 0;						          /* FIFOд */
	g_tUsart2.usRxRead = 0;						          /* FIFO */
	g_tUsart2.usRxCount = 0;						          /* յݸ */
	g_tUsart2.usTxCount = 0;						          /* ͵ݸ */
	g_tUsart2.SendBefor = 0;						          /* ǰĻص */
	g_tUsart2.SendOver = 0;						          /* ϺĻص */
	g_tUsart2.ReciveNew = 0;						          /* յݺĻص */
#endif

#if USART3_FIFO_EN == 1
	g_tUsart3.usart = USART3;						        /* STM32 豸 */
	g_tUsart3.pTxBuf = g_TxBuf3;					        /* ͻָ */
	g_tUsart3.pRxBuf = g_RxBuf3;					        /* ջָ */
	g_tUsart3.usTxBufSize = USART3_TX_BUF_SIZE;	/* ͻС */
	g_tUsart3.usRxBufSize = USART3_RX_BUF_SIZE;	/* ջС */
	g_tUsart3.usTxWrite = 0;			          			/* FIFOд */
	g_tUsart3.usTxRead = 0;						          /* FIFO */
	g_tUsart3.usRxWrite = 0;						          /* FIFOд */
	g_tUsart3.usRxRead = 0;						          /* FIFO */
	g_tUsart3.usRxCount = 0;						          /* յݸ */
	g_tUsart3.usTxCount = 0;						          /* ͵ݸ */
	g_tUsart3.SendBefor = 0;						          /* ǰĻص */
	g_tUsart3.SendOver = 0;						          /* ϺĻص */
	g_tUsart3.ReciveNew = 0;						          /* յݺĻص */
#endif
}

/**
  * : Ӳʼ
  * : huartھָ
  *   ֵ: 
  * ˵    : úHALڲ
  */
static void InitHardUsart(void)
{

  GPIO_InitTypeDef GPIO_InitStruct;
  
#if USART1_FIFO_EN == 1		/* 1 TX = PA9   RX = PA10 */
    /* ʱʹ */
    __HAL_RCC_USART1_CLK_ENABLE();
      /* ʹܴڹGPIOʱ */
    __HAL_RCC_GPIOA_CLK_ENABLE();
    /* 蹦GPIO */
    GPIO_InitStruct.Pin = GPIO_PIN_9;
    GPIO_InitStruct.Mode = GPIO_MODE_AF_PP;
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_HIGH;
    HAL_GPIO_Init(GPIOA, &GPIO_InitStruct);

    GPIO_InitStruct.Pin = GPIO_PIN_10;
    GPIO_InitStruct.Mode = GPIO_MODE_INPUT;
    GPIO_InitStruct.Pull = GPIO_NOPULL;
  
    husart_debug.Instance = USART1;
    husart_debug.Init.BaudRate = USART1_BAUD;
    husart_debug.Init.WordLength = UART_WORDLENGTH_8B;
    husart_debug.Init.StopBits = UART_STOPBITS_1;
    husart_debug.Init.Parity = UART_PARITY_NONE;
    husart_debug.Init.Mode = UART_MODE_TX_RX;
    husart_debug.Init.HwFlowCtl = UART_HWCONTROL_NONE;
    husart_debug.Init.OverSampling = UART_OVERSAMPLING_16;
    HAL_UART_Init(&husart_debug);
    HAL_NVIC_SetPriority(USART1_IRQn, 0, 0);
    HAL_NVIC_EnableIRQ(USART1_IRQn);
    HAL_GPIO_Init(GPIOA, &GPIO_InitStruct);
#endif
  
#if USART2_FIFO_EN == 1		/* 2 TX = PA2 RX = PA3  */
    /* ʱʹ */
    __HAL_RCC_USART2_CLK_ENABLE();
    __HAL_RCC_GPIOA_CLK_ENABLE();
    /* 蹦GPIO */
    GPIO_InitStruct.Pin = GPIO_PIN_2;
    GPIO_InitStruct.Mode = GPIO_MODE_AF_PP;
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_HIGH;
    HAL_GPIO_Init(GPIOA, &GPIO_InitStruct);

    GPIO_InitStruct.Pin = GPIO_PIN_3;
    GPIO_InitStruct.Mode = GPIO_MODE_INPUT;
    GPIO_InitStruct.Pull = GPIO_NOPULL;
    
    husart_debug.Instance = USART2;
    husart_debug.Init.BaudRate = USART2_BAUD;
    husart_debug.Init.WordLength = UART_WORDLENGTH_8B;
    husart_debug.Init.StopBits = UART_STOPBITS_1;
    husart_debug.Init.Parity = UART_PARITY_NONE;
    husart_debug.Init.Mode = UART_MODE_TX_RX;
    husart_debug.Init.HwFlowCtl = UART_HWCONTROL_NONE;
    husart_debug.Init.OverSampling = UART_OVERSAMPLING_16;
    HAL_UART_Init(&husart_debug);
    HAL_NVIC_SetPriority(USART2_IRQn, 0, 0);
    HAL_NVIC_EnableIRQ(USART2_IRQn);
    HAL_GPIO_Init(GPIOA, &GPIO_InitStruct);
#endif

#if USART3_FIFO_EN == 1			/* 3 TX = PB10   RX = PB11 */
    /* ʱʹ */
    __HAL_RCC_USART3_CLK_ENABLE();
    __HAL_RCC_GPIOB_CLK_ENABLE();
    /* 蹦GPIO */
    GPIO_InitStruct.Pin = GPIO_PIN_10;
    GPIO_InitStruct.Mode = GPIO_MODE_AF_PP;
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_HIGH;
    HAL_GPIO_Init(GPIOB, &GPIO_InitStruct);

    GPIO_InitStruct.Pin = GPIO_PIN_11;
    GPIO_InitStruct.Mode = GPIO_MODE_INPUT;
    GPIO_InitStruct.Pull = GPIO_NOPULL;
    
    husart_debug.Instance = USART3;
    husart_debug.Init.BaudRate = USART3_BAUD;
    husart_debug.Init.WordLength = UART_WORDLENGTH_8B;
    husart_debug.Init.StopBits = UART_STOPBITS_1;
    husart_debug.Init.Parity = UART_PARITY_NONE;
    husart_debug.Init.Mode = UART_MODE_TX_RX;
    husart_debug.Init.HwFlowCtl = UART_HWCONTROL_NONE;
    husart_debug.Init.OverSampling = UART_OVERSAMPLING_16;
    HAL_UART_Init(&husart_debug);
    HAL_NVIC_SetPriority(USART3_IRQn, 2, 0);
    HAL_NVIC_EnableIRQ(USART3_IRQn);
    HAL_GPIO_Init(GPIOB, &GPIO_InitStruct);
#endif
}

/**
  * : ڲ.
  * : 
  *   ֵ: 
  * ˵    
  */
void Usart_FIFO_Init(void)
{  
    /* ʼصı */
  InitHardUsart();
  UsartVarInit();
}

/**
  * : COM˿ںתΪUARTָ
  * : 
  *   ֵ: 
  * ˵    : 
  */
USART_FIFO_Typedef *ComToUsart(COM_PORT_E _ucPort)
{
	if (_ucPort == COM1)
	{
#if USART1_FIFO_EN == 1
			return &g_tUsart1;
#else
			return 0;
#endif
	}
	else if (_ucPort == COM2)
	{
#if USART2_FIFO_EN == 1
			return &g_tUsart2;
#else
			return 0;
#endif
	}
	else if (_ucPort == COM3)
	{
#if USART3_FIFO_EN == 1
			return &g_tUsart3;
#else
			return 0;
#endif
	}
	else
	{
		/* κδ */
		return 0;
	}
}

/**
  * : Ӵڽջȡ1ֽ ã
  * : 
  *   ֵ: 
  * ˵    : 
  */
static uint8_t UsartGetChar(USART_FIFO_Typedef *_pUsart, uint8_t *_pByte)
{
	uint16_t usCount;

	/* usRxWrite жϺбдȡñʱٽ */
	DISABLE_INT();
	usCount = _pUsart->usRxCount;
	ENABLE_INT();

	if (usCount == 0)	/* Ѿû */
	{
		return 0;
	}
	else
	{
		*_pByte = _pUsart->pRxBuf[_pUsart->usRxRead];		/* ӴڽFIFOȡ1 */
    
		/* дFIFO */
		DISABLE_INT();
		if (++_pUsart->usRxRead >= _pUsart->usRxBufSize)
		{
			_pUsart->usRxRead = 0;
		}
		_pUsart->usRxCount--;
		ENABLE_INT();
    
    return 1;
	}
}   

/**
  * : дݵUARTͻ,жϡжϴϺԶرշж
  * : 
  *   ֵ: 
  * ˵    : 
  */
static void UsartSend(USART_FIFO_Typedef *_pUsart, uint8_t *_ucaBuf, uint16_t _usLen)
{
	uint16_t i;

	for (i = 0; i < _usLen; i++)
	{
		/* ͻѾˣȴ */
		/*  _pUsart->usTxBufSize == 1 ʱ, ĺ() */
		while (1)
		{
			__IO uint16_t usCount;

			DISABLE_INT();
			usCount = _pUsart->usTxCount;
			ENABLE_INT();

			if (usCount < _pUsart->usTxBufSize)
			{
				break;
			}
		}
		/* 뷢ͻ */
		_pUsart->pTxBuf[_pUsart->usTxWrite] = _ucaBuf[i];

		DISABLE_INT();
		if (++_pUsart->usTxWrite >= _pUsart->usTxBufSize)
		{
			_pUsart->usTxWrite = 0;
		}
		_pUsart->usTxCount++;
		ENABLE_INT();
	}
	__HAL_UART_ENABLE_IT(&husart_debug, USART_IT_TXE);
}

/**
  * : 򴮿ڷһݡݷŵͻأжϷں̨ɷ
  * : _ucPort: ˿ں(COM1 - COM3)
  *           _ucaBuf: ͵ݻ
  *   ֵ: 
  * ˵    : 
  */
void comSendBuf(COM_PORT_E _ucPort, uint8_t *_ucaBuf, uint16_t _usLen)
{
	USART_FIFO_Typedef *pUsart;

	pUsart = ComToUsart(_ucPort);
	if (pUsart == 0)
	{
		return;
	}
	if (pUsart->SendBefor != 0)
	{
		pUsart->SendBefor();
	}
	UsartSend(pUsart, _ucaBuf, _usLen);
}

/**
  * : 򴮿ڷ1ֽڡݷŵͻأжϷں̨ɷ
  * : _ucPort: ˿ں(COM1 - COM3)
  *   ֵ: 
  * ˵    : 
  */
void comSendChar(COM_PORT_E _ucPort, uint8_t _ucByte)
{
	comSendBuf(_ucPort, &_ucByte, 1);
}

/**
  * : Ӵڻȡ1ֽڣݾ
  * : _ucPort: ˿ں(COM1 - COM3)
  *   ֵ: 
  * ˵    : 
  */
uint8_t comGetChar(COM_PORT_E _ucPort, uint8_t *_pByte)
{
	USART_FIFO_Typedef *pUsart;

	pUsart = ComToUsart(_ucPort);
  __HAL_UART_ENABLE_IT(&husart_debug, USART_IT_RXNE);
	if (pUsart == 0)
	{
		return 0;
	}
	return UsartGetChar(pUsart, _pByte);
}

/**
  * : жϷãͨôжϴ
  * : 
  *   ֵ: 
  * ˵    : 
  */
static void UsartIRQ(USART_FIFO_Typedef *_pUsart)
{
	/* ж  */
	if (__HAL_USART_GET_IT_SOURCE(&husart_debug, USART_IT_RXNE))
	{
		/* ӴڽݼĴȡݴŵFIFO */

		HAL_UART_Receive(&husart_debug,&ch,1,1);
		_pUsart->pRxBuf[_pUsart->usRxWrite] = ch;
		if (++_pUsart->usRxWrite >= _pUsart->usRxBufSize)
		{
			_pUsart->usRxWrite = 0;
		}
		if (_pUsart->usRxCount < _pUsart->usRxBufSize)
		{
			_pUsart->usRxCount++;
		}
		/* ص,֪ͨӦóյ,һǷ1Ϣһ */
    if (_pUsart->ReciveNew)
    {
      _pUsart->ReciveNew(ch);
    }
	}

	/* ͻж */
	if (__HAL_UART_GET_IT_SOURCE(&husart_debug, UART_IT_TXE))
	{
		if (_pUsart->usTxCount == 0)
		{
			/* ͻȡʱ ֹͻж ע⣺ʱ1ݻδϣ*/
			__HAL_UART_DISABLE_IT(&husart_debug, UART_IT_TXE);

			/* ʹݷж */
			__HAL_UART_ENABLE_IT(&husart_debug, UART_IT_TC);
		}
		else
		{
			/* ӷFIFOȡ1ֽд봮ڷݼĴ */
			HAL_UART_Transmit(&husart_debug, &(_pUsart->pTxBuf[_pUsart->usTxRead]),1,0xFFFF);
			if (++_pUsart->usTxRead >= _pUsart->usTxBufSize)
			{
				_pUsart->usTxRead = 0;
			}
			_pUsart->usTxCount--;
		}

	}
	/* bitλȫϵж */
	else if (__HAL_UART_GET_IT_SOURCE(&husart_debug, UART_IT_TC) != RESET)
	{
		if (_pUsart->usTxCount == 0)
		{
			/* FIFOȫϣֹݷж */
			__HAL_UART_DISABLE_IT(&husart_debug, UART_IT_TC);

			/* ص, һRS485ͨţRS485оƬΪģʽռ */
			if (_pUsart->SendOver)
			{
				_pUsart->SendOver();
			}
		}
		else
		{
			/* £˷֧ */
			/* FIFOݻδϣӷFIFOȡ1д뷢ݼĴ */
			HAL_UART_Transmit(&husart_debug, &(_pUsart->pTxBuf[_pUsart->usTxRead]),1,0xFFFF);
			if (++_pUsart->usTxRead >= _pUsart->usTxBufSize)
			{
				_pUsart->usTxRead = 0;
			}
			_pUsart->usTxCount--;
		}
	}
}

/**
  * : USARTжϷ
  * : 
  *   ֵ: 
  * ˵    : 
  */
#if USART1_FIFO_EN == 1
void USART1_IRQHandler(void)
{
	UsartIRQ(&g_tUsart1);
}
#endif

#if USART2_FIFO_EN == 1
void USART2_IRQHandler(void)
{
	UsartIRQ(&g_tUsart2);
}
#endif

#if USART3_FIFO_EN == 1
void USART3_IRQHandler(void)
{
	UsartIRQ(&g_tUsart3);
}
#endif

/**
  * : ضputcʹprintfӴ1ӡ
  * : 
  *   ֵ: 
  * ˵    : 
  */
int fputc(int ch, FILE *f)
{
#if 1	/* ҪprintfַͨжFIFOͳȥprintf */
	comSendChar(COM1, ch);
	return ch;
  
#else	/* ʽÿַ,ȴݷ */
	/* дһֽڵUSART1 */
	HAL_UART_Transmit(USART1, (uint8_t)ch,1,0xFFFF);

	/* ȴͽ */
	while (__HAL_UART_GET_FLAG(USART1, USART_FLAG_TC) == RESET)
	{}
	return ch;
#endif
}

/******************* (C) COPYRIGHT 2015-2020 ӲʯǶʽŶ *****END OF FILE****/
